Skip to main content

Read All Associations of a Member

GET 

/client/users/:correlation_id/associations/types/:associationType/values/:associationValue

This request is to retrieve all of the associations for an account. Note that the endpoint is gated by a feature switch that will cause an HTTP status code 400 to be returned if the feature is not enabled.

Request

Body

The request has no Body.

Response

AttributeDefinitionFormatNotes
associationsContains data about the associations of the account.ArrayContains associationType, associationValue, and associationValueCasePreserved. If there are no associations, an empty array may be returned.
associationTypeThe type of association with this account.StringFor example, "BILL_TO" to indicate that transactions made on this account are billed to an associated account
associationValueThe name of the association.String

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 - Bad RequestAccount Association feature is not enabled.INVALID_REQUESTThis is a valid request to get associations, but the feature is disabled.

Request

Responses

200 - Get All Associations